List all applications for the logged in developer.
GET /api/applications
GET /api/applicationsInteractive request editor loads with JavaScript.
Authorization
BearerAuth DeveloperIDHeader In: header
In: header
Query Parameters
The API product ID.
^[a-zA-Z0-9-_.]+$1 <= length <= 256Condition to search resources by.
Label(s) to filter resources by. The format is labels[key]=value and should be URL-encoded.
1 <= lengthIndex to order resources by.
"updated_at"Value in
- "created_at"
- "updated_at"
Page number of the listed resources. Used together with page_size. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueNumber of resources listed per page. Used together with page. For example, when there are 13 resources in total, if the query parameters are page=1&page_size=10, the GET response will show the route total as 13 and display 10 resources in the first page. If the query parameters are page=2&page_size=10, the GET response will show the route total as 13 and display 3 resources in the second page.
int321 <= valueOrder to list the resources by. The sorting index follows the configuration of order_by.
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/applications?search=version%253Dv2"{
"list": [
{
"subscription_status": "unsubscribed",
"name": "us-west-rsc",
"desc": "Object description.",
"labels": {
"version": "v2",
"env": "prod"
},
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}
],
"total": 1
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Internal server error.
Complete operation details and schema variants
GET /api/applications
List all applications for the logged in developer.
Parameters
api_product_id(query, string, optional): The API product ID.search(query, string, optional): Condition to search resources by.labels(query, string, optional): Label(s) to filter resources by. The format islabels[key]=valueand should be URL-encoded.order_by(query, string, optional): Index to order resources by.page(query, integer, optional): Page number of the listed resources. Used together withpage_size. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.page_size(query, integer, optional): Number of resources listed per page. Used together withpage. For example, when there are 13 resources in total, if the query parameters arepage=1&page_size=10, the GET response will show the routetotalas13and display 10 resources in the first page. If the query parameters arepage=2&page_size=10, the GET response will show the routetotalas13and display 3 resources in the second page.direction(query, string, optional): Order to list the resources by. The sorting index follows the configuration oforder_by.
Responses
-
200: -
list(array, required): An array of developer applications. -
allOf variant 1
-
list[].subscription_status(string, optional): Indicates the subscription status of the application for a specific api_product. It is only returned when it is necessary to check the subscription status of applications for a specific api_product. -
allOf variant 2
-
allOf variant 1
-
list[].name(string, required): The object name. -
list[].desc(string, optional): The object description. -
list[].labels(object, optional): Key-value pairs of labels. -
allOf variant 2
-
list[].id(string, required): The object ID. -
list[].created_at(string, required): The time when the object was created in ISO 8601 format. -
list[].updated_at(string, required): The time when the object was last updated in ISO 8601 format. -
total(integer, required): Total number of objects. -
400: Bad request. -
status(integer, required): The HTTP status code of the error response. -
message(string, required): The error message. -
401: Unauthorized. Response fields (application/json): identical toGET /api/applications, response 400 above. -
500: Internal server error.
cURL
curl -X GET '$API_BASE_URL/api/applications'